Bug 31484 - MAKEDEV creates invalid devices
Summary: MAKEDEV creates invalid devices
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-12 10:49 UTC by Karsten Hopp
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 11:24:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2001-03-12 10:49:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.2.19pre10ext3 i686)


As far as I know the DAC960 module supports only 7 partitions/disk.
The gendac960 script generates devices 0-8 which is wrong.


Reproducible: Always
Steps to Reproduce:
1. Install MAKEDEV-3.1.0-12
2. ls -l /dev/rd/c0d0*
3. ls -l /dev/rd/c0d1
	

Actual Results:  /dev/rd/c0d0p8 has the same major/minor number as
/dev/rd/c0d1

Expected Results:  /dev/rd/c0d0p8 should not exist

Siemens reports that there are no devices for a second Mylex
controller (c1d*). I think this is fixed now, can you confirm that ?

Comment 1 Karsten Hopp 2001-03-12 11:24:47 UTC
Devices for a second controller are missing in the dev package, MAKEDEV does
create them.

Comment 2 Nalin Dahyabhai 2001-06-26 18:47:35 UTC
This will be fixed in 3.1.2 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.